html,body
{
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px;
    overflow-x: hidden;
    min-height: 100%;
}


  /* Estilos para el loader inicial en index.html */
  .initial-app-loader-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #fff; /* O el color de fondo de tu app */
    position: fixed; /* Para asegurar que cubra toda la pantalla */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999; /* Muy alto para estar por encima de todo */
  }

  .initial-app-loader-text {
    font-family: 'Roboto', 'Raleway', sans-serif; /* Prioriza Roboto si es tu fuente principal */
    font-size: 1.5em; /* Ajusta según necesites */
    color: #555; /* Un color de texto sutil */
    margin-bottom: 25px;
  }

  /* Spinner que imita a mat-spinner */
  .initial-mat-spinner-like {
    width: 50px; /* Ajusta el tamaño según tu mat-spinner. El diámetro default es 100px, pero más pequeño puede verse mejor aquí */
    height: 50px;
    border-radius: 50%;
    /* El color de fondo del 'track' del spinner */
    /* Generalmente es un gris claro o transparente si el mat-spinner no tiene un track visible por defecto */
    border: 4px solid rgba(0, 0, 0, 0.1); /* Un gris claro semitransparente para el track */
    /* El color del segmento activo del spinner */
    /* CAMBIA #3f51b5 AL COLOR PRIMARIO DE TU TEMA ANGULAR MATERIAL */
    border-top-color: #3f51b5; /* Ejemplo: Indigo (color primario por defecto de Material) */
    animation: initial-spinner-spin 1s linear infinite;
  }

  @keyframes initial-spinner-spin {
    to {
      transform: rotate(360deg);
    }
  }

.load-container{
  display: flex;
  border: 1px solid #eaecef;
  height: 200px;
  background-color: white;
}

.img-container {
  width: 15%;
  padding: 20px;
}

.img-loader {
  border: 1px solid white;
  width: 100%;
  height: 100%;
  background-color: #babbbc;
}

.load-content {
  border: 1px solid white;
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  padding: 20px;
 justify-content: space-between;
}

.stripe {
  border: 1px solid white;
  height: 16%;
  background-color: #babbbc;
}

.small-stripe {
  width: 40%;
}

.medium-stripe {
  width: 70%;
}

.long-stripe {
  width: 100%;
}

.load-container.loading .img-loader, .load-container.loading .stripe {
  animation: hintloading 2s ease-in-out 0s infinite reverse;
  -webkit-animation: hintloading 1.5s ease-in-out 0s infinite reverse;
}

@keyframes hintloading
{
  0% {
    opacity: 0.2;
  }
  50%  {
    opacity: 0.5;
  }
  100% {
    opacity: 0.2;
  }
}

@-webkit-keyframes hintloading
{
  0% {
    opacity: 0.5;
  }
  50%  {
    opacity: 1;
  }
  100% {
    opacity: 0.5;
  }
}



/* ---- SVG background image login----*/

.bck-img{
  width: -webkit-fill-available;
  height: -webkit-fill-available;
  object-fit: cover;
  position: absolute;
  width: -moz-available;
  height: -moz-available;
  width: stretch;
  height: stretch;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: -99;
}


/* ----Buttons home------ */


.btn-home{
  width: 200px;
  height: 200px;
  background-color: #f5f5f5;
      border: none;
    color: rgb(0, 0, 0);
    padding: 10px 20px;
    text-align: center;
    display: inline-block;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 20px;
    border: 2px solid #d1d1d1;;
}

.btn-home:hover{
  filter: drop-shadow(1px 2px 3px rgba(0, 0, 0, 0.566));
  background-color: #d1d1d1;
}

.btn-home-icon{
  font-size: 100px;
  color: rgb(95, 95, 95);
  position: relative;
  bottom: 45px !important;
  right: 35px !important;
  height: 17px !important;
  width: 26px !important;
}



.btn-home-mini{
  width: 150px;
  height: 150px;
    background-color: #f5f5f5;
    border: none;
    color: #000;
    padding: 10px 20px;
    text-align: center;
    display: inline-block;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 20px;
    border: 2px solid #d1d1d1;;
}

.btn-home-mini:hover{
  filter: drop-shadow(1px 2px 3px rgba(0, 0, 0, 0.566));
  background-color: #d1d1d1;
}


/* ------Active route navbar ------- */

.navbar-brand{
  color: rgb(95, 95, 95) !important;
}

.navbar-brand:hover{
  color: #000 !important;
}


.gradient-custom {
  /* fallback for old browsers */
  background: #5afdb1;
  
  /* Chrome 10-25, Safari 5.1-6 */
  background: -webkit-linear-gradient(to right, rgb(124, 255, 189), rgb(210, 255, 234));
  
  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  background: linear-gradient(to right, rgb(126, 255, 169), rgb(177, 255, 210))
  }
  


@media (max-width: 991px) {
    
    .image-blurred-edge {
      display: none;
    } 
}

/*------------------------------------- */
/* -------- Full calendar CSS ----------*/


.fc .fc-timegrid-axis-cushion {
  font-size: 14px;
  font-weight: 500;
}

.fc-direction-ltr .fc-timegrid-slot-label-frame {
  text-align: center !important;
}


.fc .fc-toolbar-title{
  text-transform: uppercase;
  padding-top: 10px;
  margin-left: 0px !important;
}

.fc .fc-timegrid-slot-label{
  font-weight: 500;
  text-decoration: none;
}	


.fc .fc-daygrid-day-number{
  font-weight: 500;
  text-decoration: none;
  margin-right: 5px;
  color: rgb(59 59 59);
}	


.fc .fc-col-header-cell-cushion { /* needs to be same precedence */
  padding-top: 5px; /* an override! */
  padding-bottom: 5px; /* an override! */
  color: rgb(0, 0, 0);
  text-decoration: none;
  text-transform: capitalize;
  font-weight: 600;
}

.fc-v-event .fc-event-main {
  color: #fff;
  color: var(--fc-event-text-color,#fff);
  height: 100%;
}


.fc .fc-timegrid-slot {
  height: 29px !important; /* an override! */
  border-bottom: 0 !important;
}

.fc .fc-timegrid-slot:hover {
  z-index: 0;
  cursor: pointer;
  background: rgba(147, 147, 147, 0.3) !important;
}



.fc-timegrid-event .fc-event-time {
  font-size: 14px !important;
  font-weight: 600 !important;
}

.fc-timegrid-event-short .fc-event-title {
  font-size: 14px !important;
}

.fc-timegrid-event .fc-event-main {
  padding: 2px 5px 0 !important;
}

.fc-timegrid-event-harness:hover {
  cursor: pointer;
  filter: brightness(105%);
  filter: drop-shadow(1px 2px 3px rgba(0, 0, 0, 0.566));
}

.fc .fc-daygrid-day-top {
  display: flex;
  flex-direction: row-reverse !important;
}

.fc-day-today {
  background-color: rgba(156, 195, 255, 0.324) !important;
}

.fc-timegrid-event-harness-inset .fc-timegrid-event, .fc-timegrid-event.fc-event-mirror, .fc-timegrid-more-link {
  box-shadow: 0 0 0 0px #fff !important;
}


.fc .fc-daygrid-day-frame:hover{
  background: rgba(188,232,241,.3) !important;
  z-index: 0; 
  user-select: none !important;
  cursor: pointer;
}

.fc .fc-event{
  text-transform: capitalize !important;
}

.fc-button{
  background-color: #575757 !important;
}

.fc-button-active{
  background-color: #0080ff !important;
}

.fc-button-active:hover{
  background-color: #bcbcbc !important;
}

.fc .fc-button-primary:not(:disabled).fc-button-active{
  background-color: #888888 !important;
}

.fc-button:disabled{
  background-color: #626262 !important;
}


.fc-theme-standard td, .fc-theme-standard th {
    border: 1px solid rgb(184, 184, 184) !important;
}

/* Header scroll sticky */
.fc .fc-toolbar.fc-header-toolbar {
  margin-bottom: 1.1em !important;
  position: sticky !important; 
  top: 0px !important;
  padding-top: 10px !important;
  padding-bottom: 10px !important;
  background: #ffffff !important;
  z-index: 100 !important;
}

.fc .fc-scrollgrid-section-header.fc-scrollgrid-section-sticky>* {
  top: 55px !important;
  z-index: 100 !important;
}

.fc .fc-toolbar-title {
  font-size: 1.6em !important;
  color: #575757 !important;
  text-align: center !important;
  padding-left: 4px;
  padding-right: 4px;
}

@media screen and (max-width:767px) {
   .fc-toolbar.fc-header-toolbar {font-size: 60%}

   .fc-timegrid-event-short .fc-event-title {
    display: none !important;}

    .fc-timegrid-event .fc-event-time {
      font-size: 90%  !important;
      font-weight: 400 !important;
      position: absolute !important;
      top: 4px !important;
      left: 1px !important;
      display: grid !important;
    }

    /* Header scroll sticky */
    .fc .fc-toolbar.fc-header-toolbar {
      margin-bottom: 0.2em !important;
      position: sticky !important; 
      top: 0px !important;
      padding-top: 10px !important;
      padding-bottom: 18px !important;
      background: #ffffff !important;
      z-index: 100 !important;
    }

    .fc .fc-col-header-cell-cushion {
      font-size: 80% !important;  
      padding: 2px 10px 4px 10px !important;
    }

  }

/* -- claendar loading - -*/

.loading-calendar{
  background-color: #ffffff6c;
  height: -webkit-fill-available;
  width: -webkit-fill-available;
  width: -moz-available;
  height: -moz-available;
  width: stretch;
  height: stretch;
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: -0;
  border-radius: 20px;
  z-index: 999;
}

.loading-dots-calendar{
  margin: auto;
  width: fit-content;
  padding-top: 70px;
  right: 14px;
  position: relative;
}


/* ----- MAT design style css ----------*/

.mat-menu-panel {
  min-height: 0px !important;
}

.mat-menu-content:not(:empty) {
  padding-top: 2px !important;
  padding-bottom: 0px !important
}


.mat-form-field + .mat-form-field {
  margin-left: 8px;
}

.mat-icon {
  vertical-align: top;
  user-select: none;
  pointer-events: none;

}

.mat-icon-mini {
  height: 27px !important;
}

.mat-tooltip{
  font-size: small !important;
}


/* MODAL BOX SEARCH ng material */
.cdk-overlay-container {
  position: fixed;
  z-index: 1500 !important;
}


/* PACIENTE SEARCH*/

/**
 * ==============================================
 * Dot Flashing
 * ==============================================
 */
 .dot-flashing {
  position: relative;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
  animation: dotFlashing 1s infinite linear alternate;
  animation-delay: .5s;
}

.dot-flashing::before, .dot-flashing::after {
  content: '';
  display: inline-block;
  position: absolute;
  top: 0;
}

.dot-flashing::before {
  left: -15px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
  animation: dotFlashing 1s infinite alternate;
  animation-delay: 0s;
}

.dot-flashing::after {
  left: 15px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
  animation: dotFlashing 1s infinite alternate;
  animation-delay: 1s;
}

@keyframes dotFlashing {
  0% {
    background-color: #9880ff;
  }
  50%,
  100% {
    background-color: #ebe6ff;
  }
}
